Basis = {INT["NPL"][1] -> eps^2 s23 NPL[0, 2, 0, 0, 0, 0, 2, 1, 0], 
 INT["NPL"][2] -> eps^3 (m2 - s23) NPL[0, 1, 1, 0, 0, 0, 1, 2, 0], 
 INT["NPL"][3] -> eps^2 m2 s13 NPL[0, 0, 1, 1, 0, 2, 2, 0, 0], 
 INT["NPL"][4] -> eps^2 m2 NPL[0, 0, 2, 0, 0, 1, 0, 0, 2], 
 INT["NPL"][5] -> eps^2 s13 NPL[0, 0, 2, 0, 0, 2, 0, 1, 0], 
 INT["NPL"][6] -> eps^3 (m2 - s13) NPL[0, 0, 1, 0, 0, 1, 1, 2, 0], 
 INT["NPL"][7] -> eps^3 (m2 - s13) NPL[0, 0, 2, 1, 0, 1, 0, 0, 1], 
 INT["NPL"][8] -> eps^4 (m2 - s13) NPL[0, 0, 1, 1, 0, 1, 1, 0, 1], 
 INT["NPL"][9] -> eps^2 (m2 - s13 - s23) NPL[0, 1, 2, 0, 0, 0, 0, 0, 2], 
 INT["NPL"][10] -> eps^3 s13 s23 NPL[0, 1, 1, 0, 0, 1, 1, 2, 0], 
 INT["NPL"][11] -> eps^4 (s13 + s23) NPL[0, 1, 1, 0, 0, 1, 1, 1, 0], 
 INT["NPL"][12] -> eps^3 s13 s23 NPL[0, 1, 0, 1, 0, 1, 2, 1, 0], 
 INT["NPL"][13] -> eps^4 s13 (m2 - s23) NPL[0, 1, 1, 1, 0, 1, 1, 1, 0], 
 INT["NPL"][14] -> eps^3 (s13 + s23) NPL[0, 2, 1, 0, 0, 0, 1, 0, 1], 
 INT["NPL"][15] -> eps^4 s13 NPL[1, 1, 1, 0, 0, 1, 0, 0, 1], 
 INT["NPL"][16] -> -eps^3 s23 NPL[1, 0, 0, 0, 0, 2, 1, 1, 0], 
 INT["NPL"][17] -> -eps^3 s13 (-m2 + s13 + s23) NPL[0, 1, 2, 1, 0, 1, 0, 0, 1],
 INT["NPL"][18] -> -eps^3 s13 (-m2 + s13 + s23) NPL[0, 1, 1, 1, 0, 0, 1, 0, 2],
 INT["NPL"][19] -> eps^4 (m2 - s23) NPL[0, 1, 1, 1, 0, 0, 1, 0, 1], 
 INT["NPL"][20] -> eps^3 s13 s23 NPL[1, 0, 1, 0, 0, 2, 1, 1, 0], 
 INT["NPL"][21] -> eps^4 s13 (s13 + s23) NPL[0, 1, 1, 1, 0, 1, 1, 0, 1], 
 INT["NPL"][22] -> eps^3 (m2 - s13 - s23) s23 NPL[1, 2, 1, 0, 0, 0, 1, 0, 1], 
 INT["NPL"][23] -> eps^3 (m2 - s13 - s23) s23 NPL[0, 2, 1, 0, 0, 0, 1, 1, 1], 
 INT["NPL"][24] -> -eps^4 (m2 - s13) NPL[0, 1, 1, 0, 0, 0, 1, 1, 1], 
 INT["NPL"][25] -> eps^4 s23 NPL[0, 1, 1, 0, 0, 1, 0, 1, 1], 
 INT["NPL"][26] -> eps^4 (m2 - s13 - s23) NPL[1, 0, 1, 0, 0, 1, 0, 1, 1], 
 INT["NPL"][27] -> -(1/2) eps^3 (m2 - s13) NPL[0, 0, 1, 0, 0, 1, 1, 2, 0] - 
   1/4 eps^2 m2 NPL[0, 0, 2, 0, 0, 1, 0, 0, 2] + 
   1/8 eps^2 s13 NPL[0, 0, 2, 0, 0, 2, 0, 1, 0] - 
   1/2 eps^4 (m2 - s13) NPL[0, 1, 1, 0, 0, 0, 1, 1, 1] - 
   1/2 eps^3 (m2 - s23) NPL[0, 1, 1, 0, 0, 0, 1, 2, 0] + 
   eps^4 (m2 - s23) NPL[0, 1, 1, 1, -1, 0, 1, 1, 1] - 
   1/2 eps^4 (m2 - s23) NPL[0, 1, 1, 1, 0, 0, 1, 0, 1] + 
   1/4 eps^3 s13 (m2 - s13 - s23) NPL[0, 1, 1, 1, 0, 0, 1, 0, 2] + 
   eps^4 (m2 - s13) (m2 - s23) NPL[0, 1, 1, 1, 0, 0, 1, 1, 1] - 
   1/4 eps^2 (m2 - s23) NPL[0, 1, 2, 0, 0, 0, 0, 0, 2] + 
   1/8 eps^2 s23 NPL[0, 2, 0, 0, 0, 0, 2, 1, 0] - 
   1/4 eps^3 (m2 - s13 - s23) s23 NPL[0, 2, 1, 0, 0, 0, 1, 1, 1], 
 INT["NPL"][28] -> eps^4 m2 (m2 - s13 - s23) NPL[0, 1, 1, 1, 0, 0, 1, 1, 1], 
 INT["NPL"][29] -> -((
    eps^4 (m2 - s13) (s13 + s23) NPL[-1, 1, 1, 0, 0, 1, 1, 1, 1])/(
    m2 + s23)) - (
   eps^3 (m2 - s13) (m2 + s13 + 2 s23) NPL[0, 0, 1, 0, 0, 1, 1, 2, 
     0])/(2 (m2 + s23)) - 
   1/4 eps^2 m2 NPL[0, 0, 2, 0, 0, 1, 0, 0, 2] + (
   eps^2 s13 (m2 + s13 + 2 s23) NPL[0, 0, 2, 0, 0, 2, 0, 1, 0])/(
   8 (m2 + s23)) - (
   eps^4 (m2 - s13) (m2 + s13 + 2 s23) NPL[0, 1, 1, 0, 0, 0, 1, 1, 
     1])/(2 (m2 + s23)) + (
   eps^4 (m2 - s13) (s13 + s23) NPL[0, 1, 1, 0, 0, 1, 0, 1, 1])/(
   m2 + s23) - (
   eps^4 (m2 - s13) (s13 + s23) NPL[0, 1, 1, 0, 0, 1, 1, 1, 0])/(
   2 (m2 + s23)) + (
   eps^4 (m2 - s13) s23 (s13 + s23) NPL[0, 1, 1, 0, 0, 1, 1, 1, 1])/(
   m2 + s23) + (
   eps^3 (m2 - s13) s13 s23 NPL[0, 1, 1, 0, 0, 1, 1, 2, 0])/(
   4 (m2 + s23)) + (
   eps^2 (m2 - s13) (m2 - s13 - s23) NPL[0, 1, 2, 0, 0, 0, 0, 0, 2])/(
   8 (m2 + s23)) - (
   eps^3 (m2 - s13) (s13 + s23) NPL[0, 2, 1, 0, 0, 0, 1, 0, 1])/(
   2 (m2 + s23)) - (
   eps^3 (m2 - s13) (m2 - s13 - s23) s23 NPL[0, 2, 1, 0, 0, 0, 1, 1, 
     1])/(4 (m2 + s23)), 
 INT["NPL"][30] -> eps^4 m2 s23 NPL[0, 1, 1, 0, 0, 1, 1, 1, 1], 
 INT["NPL"][31] -> eps^4 s23^2 NPL[1, 1, 0, 0, 0, 1, 1, 1, 1], 
 INT["NPL"][32] -> -((3 eps^2 m2 (m2^2 + 4 eps m2^2 - 2 m2 s13 - 7 eps m2 s13 -
           m2 s23 - 4 eps m2 s23 + s13 s23 + 4 eps s13 s23) NPL[0, 0, 
         2, 0, 0, 1, 0, 0, 
         2])/(2 (1 + 4 eps) s13 (m2 - s23))) + (3 eps^2 (m2 - 
        s13) (m2 + 4 eps m2 - s13 - 3 eps s13 - s23 - 4 eps s23) NPL[
       0, 0, 2, 0, 0, 2, 0, 1, 0])/(2 (1 + 4 eps) (m2 - s23)) + (
   6 eps^5 s23^2 NPL[0, 1, 1, 0, 0, 1, 0, 1, 
     1])/((1 + 4 eps) (m2 - s23)) + (
   eps^4 (m2 - s13) (m2 - s13 - s23) s23 NPL[0, 1, 1, 0, 0, 1, 1, 1, 
     1])/(m2 - s23) + (
   eps^3 s13 s23 (-m2 + s13 + s23) NPL[0, 1, 1, 0, 0, 1, 1, 2, 0])/(
   m2 - s23) + (
   3 eps^2 (m2 - s13 - s23) (-s13 - 3 eps s13 + eps s23) NPL[0, 1, 2, 
     0, 0, 0, 0, 0, 2])/(
   2 (1 + 4 eps) (m2 - 
      s23)) - (3 eps^2 s23 (-m2^2 - 4 eps m2^2 + 2 m2 s13 + 
        7 eps m2 s13 + m2 s23 + 4 eps m2 s23 - s13 s23 - 
        3 eps s13 s23) NPL[0, 2, 0, 0, 0, 0, 2, 1, 
       0])/(2 (1 + 4 eps) s13 (m2 - s23)) + (
   eps^3 (m2 - s13 - s23)^2 s23 NPL[0, 2, 1, 0, 0, 0, 1, 1, 1])/(
   m2 - s23) - (6 eps^4 (-m2 - 4 eps m2 + s13 + 3 eps s13) (-m2 + 
        s13 + s23)^2 NPL[1, 0, 1, 0, 0, 1, 0, 1, 
       1])/((1 + 4 eps) s13 (m2 - s23)) + (
   2 eps^3 m2 (m2 - s13 - s23) s23 NPL[1, 0, 1, 0, 0, 2, 1, 1, 0])/(
   m2 - s23) - (
   eps^4 (m2 - s13 - s23) s23^2 NPL[1, 1, 0, 0, 0, 1, 1, 1, 1])/(
   m2 - s23) + (
   2 eps^4 (m2 - s13 - s23) s23^2 NPL[1, 1, 1, -1, 0, 1, 1, 1, 1])/(
   m2 - s23) - (
   6 eps^4 (1 + 3 eps) s13^2 NPL[1, 1, 1, 0, 0, 1, 0, 0, 
     1])/((1 + 4 eps) (m2 - s23)) + (
   eps^4 s13 s23^2 (-m2 + s13 + s23) NPL[1, 1, 1, 0, 0, 1, 1, 1, 1])/(
   m2 - s23) - 
   2 eps^3 (m2 - s13 - s23) s23 NPL[1, 2, 1, 0, 0, 0, 1, 0, 1], 
 INT["NPL"][33] -> (3 eps^2 m2 (m2^2 + 3 eps m2^2 - 2 m2 s13 - 7 eps m2 s13 - 
        m2 s23 - 3 eps m2 s23 + s13 s23 + 4 eps s13 s23) NPL[0, 0, 2, 
       0, 0, 1, 0, 0, 
       2])/(2 (1 + 4 eps) (m2 - s23) (m2 - s13 - s23)) + (
   3 eps^2 (1 + 3 eps) s13 (-m2 + s13) NPL[0, 0, 2, 0, 0, 2, 0, 1, 
     0])/(2 (1 + 4 eps) (m2 - s23)) + (
   6 eps^5 s23^2 NPL[0, 1, 1, 0, 0, 1, 0, 1, 
     1])/((1 + 4 eps) (m2 - s23)) + (
   eps^4 s13 (s13 - s23) s23 NPL[0, 1, 1, 0, 0, 1, 1, 1, 1])/(
   m2 - s23) + (eps^3 s13^2 s23 NPL[0, 1, 1, 0, 0, 1, 1, 2, 0])/(
   m2 - s23) + (3 eps^2 (eps m2 s13 + s13^2 + 3 eps s13^2 + 
        eps m2 s23 - 2 eps s13 s23 - eps s23^2) NPL[0, 1, 2, 0, 0, 0, 
       0, 0, 2])/(2 (1 + 4 eps) (m2 - s23)) - (3 eps^2 s23 (m2^2 + 
        3 eps m2^2 - 2 m2 s13 - 7 eps m2 s13 - m2 s23 - 2 eps m2 s23 +
         s13 s23 + 3 eps s13 s23 - eps s23^2) NPL[0, 2, 0, 0, 0, 0, 2,
        1, 0])/(2 (1 + 4 eps) (m2 - s23) (m2 - s13 - s23)) + (
   eps^3 s13 s23 (-m2 + s13 + s23) NPL[0, 2, 1, 0, 0, 0, 1, 1, 1])/(
   m2 - s23) - (1/((1 + 4 eps) (m2 - s23)))
   6 eps^4 (m2 - s13 - s23) (m2 + 3 eps m2 - s13 - 3 eps s13 + 
      eps s23) NPL[1, 0, 1, 0, 0, 1, 0, 1, 1] + (
   2 eps^3 m2 s13 s23 NPL[1, 0, 1, 0, 0, 2, 1, 1, 0])/(-m2 + s23) + (
   eps^4 s13 s23^2 NPL[1, 1, 0, 0, 0, 1, 1, 1, 1])/(m2 - s23) - (
   2 eps^4 s13 s23^2 NPL[1, 1, 1, -1, 0, 1, 1, 1, 1])/(m2 - s23) - (
   6 eps^4 s13^2 (eps m2 + s13 + 3 eps s13 - eps s23) NPL[1, 1, 1, 0, 
     0, 1, 0, 0, 1])/((1 + 4 eps) (m2 - s23) (-m2 + s13 + s23)) + (
   eps^4 s13 s23^2 (-m2 + s13 + s23) NPL[1, 1, 1, 0, 0, 1, 1, 1, 1])/(
   m2 - s23) + 2 eps^3 s13 s23 NPL[1, 2, 1, 0, 0, 0, 1, 0, 1], 
 INT["NPL"][34] -> eps^4 (m2 - s13)^2 NPL[0, 0, 1, 1, 0, 1, 1, 1, 1], 
 INT["NPL"][35] -> 
  3/4 eps^2 m2 NPL[0, 0, 2, 0, 0, 1, 0, 0, 2] - 
   3/4 eps^2 s13 NPL[0, 0, 2, 0, 0, 2, 0, 1, 0] - 
   3 eps^4 s23 NPL[0, 1, 1, 0, 0, 1, 0, 1, 1] + 
   eps^4 s13 (-m2 + s13 + s23) NPL[0, 1, 1, 1, -1, 1, 1, 1, 1] + 
   eps^4 s13 (m2 - s13 - s23) NPL[0, 1, 1, 1, 0, 0, 1, 1, 1] - 
   eps^4 s13 (-m2 + s13 + s23) NPL[0, 1, 1, 1, 0, 1, 1, 0, 1] + 
   eps^4 s13 (-m2 + s13 + s23) NPL[0, 1, 1, 1, 0, 1, 1, 1, 0] - 
   3/4 eps^2 (m2 - s13 - s23) NPL[0, 1, 2, 0, 0, 0, 0, 0, 2] + 
   eps^3 s13 (-m2 + s13 + s23) NPL[0, 1, 2, 1, 0, 1, 0, 0, 1], 
 INT["NPL"][36] -> -((3 eps^2 m2 s23 NPL[0, 0, 2, 0, 0, 1, 0, 0, 2])/(
    4 (m2 - s13 - s23))) - (
   3 eps^2 s13 s23 NPL[0, 0, 2, 0, 0, 2, 0, 1, 0])/(
   4 (-m2 + s13 + s23)) + (
   3 eps^4 s23^2 NPL[0, 1, 1, 0, 0, 1, 0, 1, 1])/(m2 - s13 - s23) + 
   eps^4 s13 s23 NPL[0, 1, 1, 0, 0, 1, 1, 1, 1] + 
   eps^4 s13 s23 NPL[0, 1, 1, 1, -1, 1, 1, 1, 1] - 
   eps^4 s13 s23 NPL[0, 1, 1, 1, 0, 1, 1, 0, 1] + 
   eps^4 s13 s23 NPL[0, 1, 1, 1, 0, 1, 1, 1, 0] - 
   eps^4 s13 (-m2 + s13) s23 NPL[0, 1, 1, 1, 0, 1, 1, 1, 1] + 
   3/4 eps^2 s23 NPL[0, 1, 2, 0, 0, 0, 0, 0, 2] + 
   eps^3 s13 s23 NPL[0, 1, 2, 1, 0, 1, 0, 0, 1]}
   
Masters = {NPL[0, 2, 0, 0, 0, 0, 2, 1, 0], NPL[0, 1, 1, 0, 0, 0, 1, 2, 0], 
 NPL[0, 0, 1, 1, 0, 2, 2, 0, 0], NPL[0, 0, 2, 0, 0, 1, 0, 0, 2], 
 NPL[0, 0, 2, 0, 0, 2, 0, 1, 0], NPL[0, 0, 1, 0, 0, 1, 1, 2, 0], 
 NPL[0, 0, 2, 1, 0, 1, 0, 0, 1], NPL[0, 0, 1, 1, 0, 1, 1, 0, 1], 
 NPL[0, 1, 2, 0, 0, 0, 0, 0, 2], NPL[0, 1, 1, 0, 0, 1, 1, 2, 0], 
 NPL[0, 1, 1, 0, 0, 1, 1, 1, 0], NPL[0, 1, 0, 1, 0, 1, 2, 1, 0], 
 NPL[0, 1, 1, 1, 0, 1, 1, 1, 0], NPL[0, 2, 1, 0, 0, 0, 1, 0, 1], 
 NPL[1, 1, 1, 0, 0, 1, 0, 0, 1], NPL[1, 0, 0, 0, 0, 2, 1, 1, 0], 
 NPL[0, 1, 2, 1, 0, 1, 0, 0, 1], NPL[0, 1, 1, 1, 0, 0, 1, 0, 2], 
 NPL[0, 1, 1, 1, 0, 0, 1, 0, 1], NPL[1, 0, 1, 0, 0, 2, 1, 1, 0], 
 NPL[0, 1, 1, 1, 0, 1, 1, 0, 1], NPL[1, 2, 1, 0, 0, 0, 1, 0, 1], 
 NPL[0, 2, 1, 0, 0, 0, 1, 1, 1], NPL[0, 1, 1, 0, 0, 0, 1, 1, 1], 
 NPL[0, 1, 1, 0, 0, 1, 0, 1, 1], NPL[1, 0, 1, 0, 0, 1, 0, 1, 1], 
 NPL[0, 1, 1, 1, 0, 0, 1, 1, 1], NPL[0, 1, 1, 1, -1, 0, 1, 1, 1], 
 NPL[-1, 1, 1, 0, 0, 1, 1, 1, 1], NPL[0, 1, 1, 0, 0, 1, 1, 1, 1], 
 NPL[1, 1, 0, 0, 0, 1, 1, 1, 1], NPL[1, 1, 1, 0, 0, 1, 1, 1, 1], 
 NPL[1, 1, 1, -1, 0, 1, 1, 1, 1], NPL[0, 0, 1, 1, 0, 1, 1, 1, 1], 
 NPL[0, 1, 1, 1, -1, 1, 1, 1, 1], NPL[0, 1, 1, 1, 0, 1, 1, 1, 1]};
